# Read Bulk Fetch

Read results for fetch bulk.

Endpoint: GET /referencedata/rest/v4/businesspartners/fetch/bulks/{id}
Version: 3
Security: apiKey

## Path parameters:

  - `id` (string, required)
    Unique identifier for a bulk.
    Example: "cbed7ac6-a97d-4c23-9060-2a88fa660957"

## Query parameters:

  - `limit` (integer)
    Number of items to be returned on the page.
    Example: "20"

  - `startAfter` (string)
    Pagination cursor which should be filled with nextStartAfter value provided in the previous page read response.
    Example: "16"

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for a set of bulk tasks.
    Example: "650b12ac-3768-11ee-be56-0242ac120002"

  - `createdAt` (string, required)
    Date of creation (ISO 8601-compliant).
    Example: "2026-04-16T09:58:41Z"

  - `finishedAt` (string)
    Date of finish (ISO 8601-compliant).
    Example: "2026-04-16T09:58:41Z"

  - `createdBy` (string, required)
    Creator of a resource.
    Example: "76248934691294444"

  - `status` (object, required)
    | 200000006 | BULK_RUNNING  |                                        The bulk is currently being executed. |
| 200000007 | BULK_FINISHED |                                     The bulk has been executed successfully. |
| 200000008 | BULK_CANCELED |                                                      Bulk has been canceled. |
| 500000002 | BULK_FAILED   |  Bulk failed due to an internal server error. Please contact CDQ Support. |

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: "200"

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: "OK"

  - `status.details` (array)

  - `status.details.id` (integer)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string)
    Human-readable message which may also be presented in user interface.
    Example: "The job came to an end and finished successfully."

  - `status.details.technicalKey` (string)
    Technical key for the HTTP status code
    Example: "OK"

  - `status.path` (string)
    Requested path which caused this error.
    Example: "/v2/businesspartners/lookup"

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: "2026-04-16T09:58:41Z"

  - `progress` (integer)
    Progress (%) of the bulk execution.
    Example: "77"

  - `featuresOn` (array)
    List of features to be activated.
    Enum: "ENABLE_SETTINGS", "SHOW_DEBUG_INFO", "SHOW_RAW_DATA", "SHOW_RAW_DATA_JSON", "FORCE_EXTERNAL_CALL", "SCREEN_BUSINESS_NAMES", "SHOW_COMMERCIAL_ULTIMATE", "SHOW_DOMESTIC_COMMERCIAL_ULTIMATE", "DETECT_LEGAL_ENTITY", "ACTIVATE_DATASOURCE_BVD", "ACTIVATE_DATASOURCE_DNB", "ACTIVATE_MASTER_DATA_BASIC", "ACTIVATE_MASTER_DATA_EXTENDED", "ACTIVATE_MASTER_DATA_MGMT", "ACTIVATE_MASTER_DATA_LNKG", "ACTIVATE_LINKAGE_LNKELI", "USE_FETCH_STRATEGY_GOLDEN_RECORD"

  - `featuresOff` (array)
    List of features to be deactivated.
    Enum: "ENABLE_SETTINGS", "SHOW_DEBUG_INFO", "SHOW_RAW_DATA", "SHOW_RAW_DATA_JSON", "FORCE_EXTERNAL_CALL", "SCREEN_BUSINESS_NAMES", "SHOW_COMMERCIAL_ULTIMATE", "SHOW_DOMESTIC_COMMERCIAL_ULTIMATE", "DETECT_LEGAL_ENTITY", "ACTIVATE_DATASOURCE_BVD", "ACTIVATE_DATASOURCE_DNB", "ACTIVATE_MASTER_DATA_BASIC", "ACTIVATE_MASTER_DATA_EXTENDED", "ACTIVATE_MASTER_DATA_MGMT", "ACTIVATE_MASTER_DATA_LNKG", "ACTIVATE_LINKAGE_LNKELI", "USE_FETCH_STRATEGY_GOLDEN_RECORD"

  - `screeningMatchingThreshold` (number)
    The matching threshold. When not set then all entries are taken into consideration.
    Example: "0.8"

  - `configurationId` (string)
    Configuration ID used to set up fetch. If provided, those parameters will be affected.
If any of them is provided in this request, will overwrite one from configuration (except for features which are merged):
* screeningMatchingThreshold
* featuresOn
* featuresOff
    Example: "c074b9f3-abf0-4f8e-9a20-74deb6cfa2a4"

  - `results` (array)
    List of results of the bulk fetch.

  - `results.debugInfo` (object)
    Reference implementation how to structure external service responses. Can be activated by a feature SHOW_DEBUG_INFO.

  - `results.debugInfo.externalServiceResponses` (array)
    The list of external service responses.

  - `results.debugInfo.externalServiceResponses.apiError` (object)
    Detailed information about API errors.

  - `results.debugInfo.externalServiceResponses.apiError.status` (object)
    Details about status or error of a service

  - `results.debugInfo.externalServiceResponses.apiError.status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: "200"

  - `results.debugInfo.externalServiceResponses.apiError.status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: "OK"

  - `results.debugInfo.externalServiceResponses.apiError.status.details` (array)

  - `results.debugInfo.externalServiceResponses.apiError.status.path` (string)
    Requested path which caused this error.
    Example: "/v2/businesspartners/lookup"

  - `results.debugInfo.externalServiceResponses.apiError.status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: "2026-04-16T09:58:41Z"

  - `results.debugInfo.externalServiceResponses.httpPath` (string)
    Requested path which caused this error.
    Example: "/v2/businesspartners/lookup"

  - `results.debugInfo.externalServiceResponses.status` (string)
    External service call status.
    Example: "OK"

  - `results.debugInfo.externalServiceResponses.message` (string)
    Received message of the external service.
    Example: "VIES_NOT_AVAILABLE - Vies is currently not available"

  - `results.debugInfo.externalServiceResponses.source` (string)
    Source of the response.
    Example: "CHUID"

  - `results.debugInfo.externalServiceResponses.additionalInformations` (array)
    Any additional information received during the original request.

  - `results.debugInfo.externalServiceResponses.additionalInformations.key` (string)
    Key of the generic key/value map.
    Example: "KEY"

  - `results.debugInfo.externalServiceResponses.additionalInformations.value` (string)
    Key of the generic key/value map.
    Example: "1"

  - `results.debugInfo.externalServiceResponses.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: "2026-04-16T09:58:41Z"

  - `results.debugInfo.externalServiceResponses.httpStatus` (integer)
    RFC 7231 status code for this error.
    Example: "400"

  - `results.status` (object)
    | Message ID |                   Technical Key                    |                                                                         Message |
|:----------:|:--------------------------------------------------:|--------------------------------------------------------------------------------:|
| 200000000  |                     DEFAULT_OK                     |                                                             Successful request. |
| 400100001  |            	NAME_OR_IDENTIFIER_MISSING            |                                You have to provide at lease name or identifier. |
| 400100003  |               	GR_NON_UNIQUE_RESULT              | We found multiple GRs in this business partner, please ensure to submit only 1. |
| 400100002  |                   	GR_NOT_FOUND                  |                                                        Golden Record not found. |
| 400100004  |            	FETCH_STRATEGY_MISSING                |             You have to use a fetch strategy if you provide a business partner. |
| 400100005  | 	             BP_AND_CDQID_PROVIDED                |       You have provided a business partner and CDQ ID. Please provide only one. |
| 429000000  |             DEFAULT_TOO_MANY_REQUESTS              |                                  Too many requests. Your quota is reset in 24h. |
| 500000000  |           DEFAULT_INTERNAL_SERVER_ERROR            |  Service failed due to an internal server error. Please contact CDQ Support. |

  - `results.status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: "200"

  - `results.status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: "OK"

  - `results.status.details` (array)

  - `results.status.details.id` (integer)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `results.status.details.message` (string)
    Human-readable message which may also be presented in user interface.
    Example: "The job came to an end and finished successfully."

  - `results.status.details.technicalKey` (string)
    Technical key for the HTTP status code
    Example: "OK"

  - `results.status.path` (string)
    Requested path which caused this error.
    Example: "/v2/businesspartners/lookup"

  - `results.status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: "2026-04-16T09:58:41Z"

  - `results.cdqId` (string)
    Unique identifier for the Business Partner.
    Example: "VIES:PL8660001429"

  - `results.lastSyncAt` (string)
    Last time the Business Partner was synchronized.
    Example: "2026-04-16T09:58:41Z"

  - `results.lastUpdatedAt` (string)
    Last time the Business Partner was updated.
    Example: "2026-04-16T09:58:41Z"

  - `results.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `results.dataSourceName` (string)
    Name of a data source of a storage.
    Example: "Internal customers"

  - `results.businessPartner` (object)
    Refers to an organizational entity engaged in various facets of another organization's business interactions. This collaborative connection often manifests as a customer, supplier, vendor, or service provider. In the CDQ (Corporate Data Quality) framework, the Business Partner assumes a pivotal role as a core managed entity. Each Business Partner is distinctly and globally identifiable through a unique CDQ ID. All pertinent information, including addresses, identifiers, and hierarchical data, is intricately associated with and linked to the specific Business Partner, ensuring comprehensive management and traceability within the system.

  - `results.businessPartner.names` (array)
    List of names of the Business Partner.

  - `results.businessPartner.names.shortName` (string)
    The abbreviated variant of a company's full name.
    Example: "CDQ AG"

  - `results.businessPartner.names.type` (object)
    The type of the name, e.g. a locally used name or an international version.

  - `results.businessPartner.names.type.url` (string)
    URL to the documentation which summarizes all details of the name type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.names.type.name` (string)
    Display label for the Name Type.
    Example: "Local Name"

  - `results.businessPartner.names.type.technicalKey` (string)
    Technical Keys of the Name Type.
    Example: "LOCAL"

  - `results.businessPartner.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `results.businessPartner.names.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.names.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.names.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.names.details` (array)

  - `results.businessPartner.names.details.value` (string)
    Value of additional information to a business partner name.
    Example: "Corporate Data Quality AG - Marketing Department"

  - `results.businessPartner.names.details.type` (object)
    Type of additional information to a Business Partner Name.

  - `results.businessPartner.names.details.type.name` (string)
    Name detail type name of additional information to a business partner name.
    Example: "Legal Entity"

  - `results.businessPartner.names.details.type.url` (string)
    Name detail type url of additional information to a business partner name.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.names.details.type.technicalKey` (string)
    Name detail type technical key of additional information to a business partner name.
    Example: "LEGAL_ENTITY"

  - `results.businessPartner.legalForm` (object)
    Legal Form of a Business Partner is the form it takes in the eyes of the law governing it. The legal form of a Business Partner is the general type it may legally use to identify itself according to the local, regional, national, or international law governing it. This is normally reflected in the ending abbreviation after the Business Partner's name (e.g. AG, Inc., LLC, S.A.).

  - `results.businessPartner.legalForm.name` (string)
    Display of the Legal Form.
    Example: "Aktiengesellschaft"

  - `results.businessPartner.legalForm.url` (string)
    URL to the documentation which summarizes all details of legal form.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.legalForm.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.legalForm.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.legalForm.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.legalForm.mainAbbreviation` (string)
    The primary abbreviation of a legal form, i.e. the most commonly used abbreviation in a country.
    Example: "AG"

  - `results.businessPartner.legalForm.categories` (array)
    List of categories of the legal form.

  - `results.businessPartner.legalForm.categories.name` (string)
    Descriptive display name of the Legal Form Category.
    Example: "Limited Liability Company"

  - `results.businessPartner.legalForm.categories.shortName` (string)
    Short display name of the Legal Form Category.
    Example: "LLC"

  - `results.businessPartner.legalForm.categories.url` (string)
    URL to the documentation which summarizes all details of the legal form category.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.legalForm.categories.technicalKey` (string)
    Technical key of the legal form category.
    Example: "LIMITED"

  - `results.businessPartner.legalForm.technicalKey` (string)
    Technical Key of a Legal Form. Descriptions of below enums contain Country Scope, International Name and Main Abraviation.
    Example: "DE_9866"

  - `results.businessPartner.legalForm.cdlElfCode` (string)
    An unique identifier for CDL managed Legal Forms.
    Example: "AG"

  - `results.businessPartner.identifiers` (array)
    List of identifiers of the Business Partner.

  - `results.businessPartner.identifiers.type` (object)
    Value of the identifier.

  - `results.businessPartner.identifiers.type.url` (string)
    URL to the documentation which summarizes all details of an identifier.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.identifiers.type.name` (string)
    Display label for the Identifier.
    Example: "CH_VAT_ID"

  - `results.businessPartner.identifiers.type.technicalKey` (string)
    Technical key of the type of the Identifier.
    Example: "CH_VAT_ID"

  - `results.businessPartner.identifiers.value` (string)
    Value of the identifier.
    Example: "CHE-218.608.886 HR/MWST"

  - `results.businessPartner.identifiers.issuingBody` (object)
    An Issuing Body is an organization or government institution that is responsible for assigning unique identifiers to individuals, organizations, or objects.

  - `results.businessPartner.identifiers.issuingBody.shortName` (string)
    Preferred short display label for an Issuing Body.
    Example: "Amtsgericht Aachen"

  - `results.businessPartner.identifiers.issuingBody.name` (string)
    Preferred display label for an Issuing Body.
    Example: "Amtsgericht Aachen"

  - `results.businessPartner.identifiers.issuingBody.names` (array)
    List of names of the Issuing Body.

  - `results.businessPartner.identifiers.issuingBody.names.shortName` (string)
    The abbreviated variant of a company's full name.
    Example: "CDQ AG"

  - `results.businessPartner.identifiers.issuingBody.names.type` (object)
    The type of the name, e.g. a locally used name or an international version.

  - `results.businessPartner.identifiers.issuingBody.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `results.businessPartner.identifiers.issuingBody.names.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.identifiers.issuingBody.url` (string)
    URL to the documentation which summarizes all details of an issuing body.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.identifiers.issuingBody.technicalKey` (string)
    Technical key of the Issuing Body.
    Example: "Amtsgericht Aachen"

  - `results.businessPartner.identifiers.issuingBody.jurisdiction` (object)
    The authority of an official organization to make decisions and judgments in a particular administrative area.

  - `results.businessPartner.identifiers.issuingBody.jurisdiction.country` (object)
    Country consisting of the country name and country code (ISO 3166-1 alpha-2).

  - `results.businessPartner.identifiers.issuingBody.jurisdiction.country.shortName` (string)
    Country code (ISO 3166-1 alpha-2).
    Example: "CH"

  - `results.businessPartner.identifiers.issuingBody.jurisdiction.country.value` (string)
    Country name (ISO 3166-1 alpha-2).
    Example: "Switzerland"

  - `results.businessPartner.identifiers.issuingBody.jurisdiction.administrativeAreas` (array)
    List of administrative areas in the jurisdiction.
    Example: ["Sankt Gallen"]

  - `results.businessPartner.identifiers.status` (object)
    Identifier Status refers to the current state of a unique identification number.

  - `results.businessPartner.identifiers.status.name` (string)
    Display label for the Identifier Status Name.
    Example: "ACTIVE"

  - `results.businessPartner.identifiers.status.technicalKey` (string)
    Technical key of the Identifier Status.
    Example: "ACTIVE"

  - `results.businessPartner.categories` (array)
    List of categories of the Business Partner.

  - `results.businessPartner.categories.name` (string)
    Display name of the Business Partner Category Name.
    Example: "Hotel"

  - `results.businessPartner.categories.url` (string)
    URL to the documentation which summarizes all details of the business partner category.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.categories.technicalKey` (string)
    Technical Key of the Business Partner Category.
    Example: "HOTEL"

  - `results.businessPartner.status` (object)
    Describes the status of a business partner with respect to its level of activity (e.g. out of business) or legally relevant conditions (e.g. in liquidation).

  - `results.businessPartner.status.officialDenotation` (string)
    The status as provided by an official register.
    Example: "Good Standing"

  - `results.businessPartner.status.validFrom` (string)
    Describes since when a business partner turned or will turn into the provided status. If no official date is known, the date of changing the status in the CDQ Community Data Pool or an external data source is provided.
    Example: "2026-04-16T09:58:41Z"

  - `results.businessPartner.status.validUntil` (string)
    Describes until when a business partner had a certain status. If no official date is known, the date of changing the status in the CDQ Community Data Pool or an external data source is provided.
    Example: "2026-04-16T09:58:41Z"

  - `results.businessPartner.status.type` (object)
    The standardized status which the business partner currently has.

  - `results.businessPartner.status.type.name` (string)
    Display name of the Business Partner Status.
    Example: "In Liquidation"

  - `results.businessPartner.status.type.url` (string)
    URL to the documentation which summarizes all details of the business partner status.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.status.type.technicalKey` (string)
    Technical Key of the Business Parter Status.
    Example: "IN_LIQUIDATION"

  - `results.businessPartner.addresses` (array)
    List of addresses of the Business Partner.

  - `results.businessPartner.addresses.version` (object)
    CDQ supports multiple versions of addresses comprising different charsets and languages. An address version is a unique combination of a character set and a language.

  - `results.businessPartner.addresses.version.characterSet` (object)
    Character set for transliteration of the curated data.

  - `results.businessPartner.addresses.version.characterSet.name` (string)
    Name of character set. Supported character sets can be found here.
    Example: "International"

  - `results.businessPartner.addresses.version.characterSet.technicalKey` (string)
    Technical key of character set. Supported character sets can be found here.
    Example: "INTERNATIONAL"

  - `results.businessPartner.addresses.version.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.version.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.version.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.identifyingName` (object)
    An identifying name assigned to an address. In most cases the identifying name refers to the name of a registered agent.

  - `results.businessPartner.addresses.identifyingName.value` (string)
    An identifying name assigned to an address. In most cases the identifying name refers to the name of a registered agent.
    Example: "John Doe"

  - `results.businessPartner.addresses.externalId` (string)
    ID the address has in the external system where the record originates from.
    Example: "1"

  - `results.businessPartner.addresses.metadata` (object)
    Specifies the language and primary data provenance.

  - `results.businessPartner.addresses.metadata.primaryProvenance` (object)
    The source of the change/update. Could be the reference data source as VIES or Organization.

  - `results.businessPartner.addresses.metadata.primaryProvenance.name` (string)
    Display Name of the Provenance Name.
    Example: "VIES"

  - `results.businessPartner.addresses.metadata.primaryProvenance.url` (string)
    URL to the documentation which summarizes all details of the Provenance Name.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.metadata.primaryProvenance.technicalKey` (string)
    Technical Key of the Provenance Name.
    Example: "VIES"

  - `results.businessPartner.addresses.metadata.primaryProvenance.cdqId` (string)
    The ID provided for a linkage with the source by CDQ.
    Example: "VIES:PL8660001429"

  - `results.businessPartner.addresses.metadata.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.metadata.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.metadata.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.careOf` (object)
    Signifies an intermediary who is responsible for transferring a piece of mail between the postal system and the final addressee. For example, when the addressee has no standard address, is under a corporate mail system, or is being manually forwarded mail sent to a more accessible location.

  - `results.businessPartner.addresses.careOf.value` (string)
    Value of the CareOf.
    Example: "CDQ GmbH c/o Product Department"

  - `results.businessPartner.addresses.contexts` (array)
    List of address contexts.

  - `results.businessPartner.addresses.contexts.value` (string)
    Value of the Address Context.
    Example: "Production hall 7, Storage field 8."

  - `results.businessPartner.addresses.country` (object)
    Country consisting of the country name and country code (ISO 3166-1 alpha-2).

  - `results.businessPartner.addresses.country.shortName` (string)
    Country code (ISO 3166-1 alpha-2).
    Example: "CH"

  - `results.businessPartner.addresses.country.value` (string)
    Country name (ISO 3166-1 alpha-2).
    Example: "Switzerland"

  - `results.businessPartner.addresses.administrativeAreas` (array)
    List of administrative areas.
    Example: ["Sankt Gallen"]

  - `results.businessPartner.addresses.administrativeAreas.value` (string)
    Name of the administrative area.
    Example: "Sankt Gallen"

  - `results.businessPartner.addresses.administrativeAreas.shortName` (string)
    Abbreviation for the administrative area.
    Example: "SG"

  - `results.businessPartner.addresses.administrativeAreas.fipsCode` (string)
    FIPS codes are numbers which uniquely identify geographic areas. The number of digits in FIPS codes vary depending on the level of geography. State-level FIPS codes have two digits, county-level FIPS codes have five digits of which the first two are the FIPS code of the state to which the county belongs.
    Example: "SZ15"

  - `results.businessPartner.addresses.administrativeAreas.isoCode` (string)
    ISO 3166-2 code which uniquely defines the names of countries and their subdivisions (e.g., provinces or states).
    Example: "CH-SG"

  - `results.businessPartner.addresses.administrativeAreas.type` (object)
    Type of the Administrative Area.

  - `results.businessPartner.addresses.administrativeAreas.type.name` (string)
    Display label for the Administrative Area Type.
    Example: "COUNTY"

  - `results.businessPartner.addresses.administrativeAreas.type.url` (string)
    URL to the documentation which summarizes all details of the administrative area type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.administrativeAreas.type.technicalKey` (string)
    Technical key of the Administrative Area.
    Example: "COUNTY"

  - `results.businessPartner.addresses.administrativeAreas.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.administrativeAreas.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.administrativeAreas.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.postCodes` (array)
    List of post codes.

  - `results.businessPartner.addresses.postCodes.value` (string)
    Effective post code.
    Example: "9000"

  - `results.businessPartner.addresses.postCodes.type` (object)
    Type of the Post Code.

  - `results.businessPartner.addresses.postCodes.type.name` (string)
    Display label for the Post Code Type.
    Example: "Regular"

  - `results.businessPartner.addresses.postCodes.type.url` (string)
    URL to the documentation which summarizes all details of the administrative area.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.postCodes.type.technicalKey` (string)
    Technical key of the Post Code.
    Example: "REGULAR"

  - `results.businessPartner.addresses.localities` (array)
    List of localities.

  - `results.businessPartner.addresses.localities.type` (object)
    Type of the locality.

  - `results.businessPartner.addresses.localities.type.name` (string)
    Display label for the Locality Type.
    Example: "City"

  - `results.businessPartner.addresses.localities.type.url` (string)
    URL to the documentation which summarizes all details of the locality type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.localities.type.technicalKey` (string)
    Technical Key of the Locality Type.
    Example: "CITY"

  - `results.businessPartner.addresses.localities.shortName` (string)
    Abbreviation of the locality.
    Example: "St. Gallen"

  - `results.businessPartner.addresses.localities.value` (string)
    Name of the locality.
    Example: "Sankt Gallen"

  - `results.businessPartner.addresses.localities.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.localities.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.localities.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.thoroughfares` (array)
    List of thoroughfares.

  - `results.businessPartner.addresses.thoroughfares.type` (object)
    Type of the thoroughfare.

  - `results.businessPartner.addresses.thoroughfares.type.name` (string)
    Display label for the Thoroughfare Type Name.
    Example: "Industrial zone"

  - `results.businessPartner.addresses.thoroughfares.type.url` (string)
    URL to the documentation which summarizes all details of the thoroughfare type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.thoroughfares.type.technicalKey` (string)
    Technical key of the Thoroughfare Type.
    Example: "INDUSTRIAL_ZONE"

  - `results.businessPartner.addresses.thoroughfares.shortName` (string)
    Abbreviation of the thoroughfare.
    Example: "Lukasstr. 4"

  - `results.businessPartner.addresses.thoroughfares.number` (string)
    Number of the thoroughfare.
    Example: "4"

  - `results.businessPartner.addresses.thoroughfares.value` (string)
    Comprehensive designation of the thoroughfare including the thoroughfare type such as Street, or Rue.
    Example: "Lukasstraße 4"

  - `results.businessPartner.addresses.thoroughfares.name` (string)
    Pure name of the thoroughfare not comprising the thoroughfare type such as Street, or Rue.
    Example: "Lukasstraße"

  - `results.businessPartner.addresses.thoroughfares.direction` (string)
    Direction of the thoroughfare.
    Example: "221-bis Baker Street, North"

  - `results.businessPartner.addresses.thoroughfares.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.thoroughfares.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.thoroughfares.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.premises` (array)
    List of premises.

  - `results.businessPartner.addresses.premises.value` (string)
    The actual value of a Premise in the language of the address.
    Example: "Lukasstraße 4"

  - `results.businessPartner.addresses.premises.shortName` (string)
    Abbreviation of the Premise.
    Example: "Lukasstr. 4"

  - `results.businessPartner.addresses.premises.number` (string)
    Number of the Premise.
    Example: "4"

  - `results.businessPartner.addresses.premises.type` (object)
    Type of the Premise.

  - `results.businessPartner.addresses.premises.type.name` (string)
    Display label for the Premise Type.
    Example: "Factory"

  - `results.businessPartner.addresses.premises.type.url` (string)
    URL to the documentation which summarizes all details of the premise type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.premises.type.technicalKey` (string)
    Technical key of the Premise Type.
    Example: "FACTORY"

  - `results.businessPartner.addresses.premises.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.premises.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.premises.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.postalDeliveryPoints` (array)
    List of postal delivery points.

  - `results.businessPartner.addresses.postalDeliveryPoints.type` (object)
    A single mailbox or other place at which postal mail is delivered.

  - `results.businessPartner.addresses.postalDeliveryPoints.type.name` (string)
    Display label for the Postal Delivery Point Type.
    Example: "Mailbox"

  - `results.businessPartner.addresses.postalDeliveryPoints.type.url` (string)
    URL to the documentation which summarizes all details of the postal delivery point.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.postalDeliveryPoints.type.technicalKey` (string)
    Technical key of the Postal Delivery Point.
    Example: "MAILBOX"

  - `results.businessPartner.addresses.postalDeliveryPoints.shortName` (string)
    Stort name of the postal delivery point.
    Example: "St Gallen, Postfach 460"

  - `results.businessPartner.addresses.postalDeliveryPoints.number` (string)
    Number of the postal delivery point.
    Example: "460"

  - `results.businessPartner.addresses.postalDeliveryPoints.value` (string)
    Value of the postal delivery point.
    Example: "Postfach"

  - `results.businessPartner.addresses.postalDeliveryPoints.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.addresses.postalDeliveryPoints.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartner.addresses.postalDeliveryPoints.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartner.addresses.geographicCoordinates` (object)
    Decimal geographic coordinates (WGS 84 - reference coordinate system).

  - `results.businessPartner.addresses.geographicCoordinates.latitude` (number)
    Plain on the earth's surface north or south of the equator.
    Example: "47.439549"

  - `results.businessPartner.addresses.geographicCoordinates.longitude` (number)
    Plain on the earth's surface east or west of a meridian.
    Example: "9.395275"

  - `results.businessPartner.addresses.types` (array)
    List of address types.

  - `results.businessPartner.addresses.types.name` (string)
    Display label for the Address Type.
    Example: "Legal Address"

  - `results.businessPartner.addresses.types.url` (string)
    URL to the documentation which summarizes all details of the address type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.addresses.types.technicalKey` (string)
    Technical key of the Address Type.
    Example: "LEGAL_ADDRESS"

  - `results.businessPartner.addresses.formattedAddress` (object)
    A formatted address is a structured address of VIES data source.

  - `results.businessPartner.addresses.formattedAddress.country` (string)
    Country name.
    Example: "Switzerland"

  - `results.businessPartner.addresses.formattedAddress.administrativeArea` (string)
    A top-level geographical or political area division in a country.
    Example: "Sankt Gallen"

  - `results.businessPartner.addresses.formattedAddress.region` (string)
    Top level subdivision of a country.
    Example: "Sankt Gallen"

  - `results.businessPartner.addresses.formattedAddress.regionCode` (string)
    A country specific code for a certain address in the region.
    Example: "9004"

  - `results.businessPartner.addresses.formattedAddress.locality` (string)
    A locality is a named densely populated area (a place) such as town, village, suburb, etc. A locality composes of many individual addresses.
    Example: "Sankt Gallen"

  - `results.businessPartner.addresses.formattedAddress.district` (string)
    Type of administrative division that, in some countries, is managed by local government. Across the world, areas known as "districts" vary greatly in size, spanning regions or counties, several municipalities, subdivisions of municipalities, school district, or political district.
    Example: "City center"

  - `results.businessPartner.addresses.formattedAddress.postalCode` (string)
    A country specific code for a certain address.
    Example: "9000"

  - `results.businessPartner.addresses.formattedAddress.thoroughfare` (string)
    Details of the access route along which buildings, lots, or land are located, such as street, road, channel, crescent, avenue.
    Example: "Lukassstrasse"

  - `results.businessPartner.addresses.formattedAddress.premise` (string)
    A premise is a tract of land including its buildings. A premise may have several sub-levels to precisely identify.
    Example: "Lukasstraße 4, Building 2, Floor 3, Room 4"

  - `results.businessPartner.addresses.formattedAddress.interurbanDeliveryPoint` (string)
    A single mailbox or other place at which postal mail is delivered.
    Example: "Sankt Gallen, Postfach 460"

  - `results.businessPartner.addresses.formattedAddress.mailbox` (string)
    A location at an address where the post is delivered to.
    Example: "Postfach 460"

  - `results.businessPartner.addresses.formattedAddress.postOfficeBox` (string)
    A uniquely addressable lockable box located on the premises of a post office station.
    Example: "Postfach 460"

  - `results.businessPartner.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `results.businessPartner.profile` (object)
    A Business Partner profile contains important information about a company, such as its classification, tags, contact details, or minority indicator.

  - `results.businessPartner.profile.minorityIndicator` (object)
    The minority indicator determines the minority group to which a vendor belongs. Usually, the minority indicator is only relevant in the United States and it is used for reporting purposes only. There is a corresponding SAP field in the vendor master for maintaining the minority indicator.

This feature is as of today dependent on data provided by a US based company: SupplierGateway.

For businesses, the minority indicator is often required in the context of:
* Government Contracts: Businesses must disclose if they are minority-owned, which can qualify them for certain federal, state, or local government contracts reserved for minority-owned businesses.
* Diversity Reporting: Companies may use minority indicators to track the diversity of their workforce, ensuring compliance with regulations such as the Equal Employment Opportunity (EEO) laws.
* Supplier Diversity Programs: Large corporations often track minority-owned businesses in their supply chains as part of their supplier diversity initiatives.

The indicators can pertain to various minority groups, such as: 
* racial and ethnic minorities (e.g., African American, Hispanic, Asian American, Native American), 
* women, 
* veterans
* people with disabilities.

  - `results.businessPartner.profile.minorityIndicator.value` (string)
    The actual value of the minority indicator, representing the minority group.
    Example: "Social enterprise"

  - `results.businessPartner.profile.classifications` (array)
    List of classifications of the Business Partner.

  - `results.businessPartner.profile.classifications.value` (string)
    A textual description of the Classification.
    Example: "Manufacture of pesticides and other agrochemical products."

  - `results.businessPartner.profile.classifications.code` (string)
    Code that classifies the business partner.
    Example: "20.20Z"

  - `results.businessPartner.profile.classifications.type` (object)
    Type of classification such as NACE, SIC, NAF or other industry classification standards.

  - `results.businessPartner.profile.classifications.type.name` (string)
    Display label for the Classification Type.
    Example: "NAF 2003"

  - `results.businessPartner.profile.classifications.type.url` (string)
    URL to the documentation which summarizes all details of the classification type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.phoneNumbers` (array)
    List of phone numbers of the Business Partner.

  - `results.businessPartner.profile.phoneNumbers.countryPrefix` (string)
    The country prefix of a phone number.
    Example: "+41"

  - `results.businessPartner.profile.phoneNumbers.number` (string)
    The complete phone number without any country prefixes.
    Example: "71 571 10 40"

  - `results.businessPartner.profile.phoneNumbers.type` (object)
    The type of phone number such as mobile phone or fixed line.

  - `results.businessPartner.profile.phoneNumbers.type.name` (string)
    Display label for a Phone Number Type Name.
    Example: "FAX"

  - `results.businessPartner.profile.phoneNumbers.type.url` (string)
    URL to the documentation which summarizes all details of the phone number type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.phoneNumbers.value` (string)
    The actual complete phone number incl. country prefix.
    Example: "+41 71 571 10 40"

  - `results.businessPartner.profile.websites` (array)
    List of websites of the Business Partner.

  - `results.businessPartner.profile.websites.url` (string)
    The actual company website URL.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.websites.type` (object)
    Describes the type of website of a business partner, e.g. corporate website, official LinkedIn profile, etc.

  - `results.businessPartner.profile.websites.type.name` (string)
    Display label for a Website Type Name
    Example: "Corporate Website"

  - `results.businessPartner.profile.websites.type.url` (string)
    URL to the documentation which summarizes website type name.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.websites.type.technicalKey` (string)
    Technical Keys of the Website Type Name.
    Example: "WEBSITE_TYPE_CORPORATE"

  - `results.businessPartner.profile.contactEmails` (array)
    List of contact emails of the Business Partner.

  - `results.businessPartner.profile.contactEmails.value` (string)
    Value of the email address of the Business Partner.
    Example: "developer-portal@cdq.com"

  - `results.businessPartner.profile.tags` (array)
    List of Tags.

  - `results.businessPartner.profile.tags.value` (string)
    Value of the tag.
    Example: "Warehouse"

  - `results.businessPartner.profile.tags.type` (object)
    A type that specifies the nature of the tag.

  - `results.businessPartner.profile.tags.type.technicalKey` (string)
    Technical Key of the Tag.
    Example: "WAREHOUSE"

  - `results.businessPartner.profile.vatPayerStatus` (object)
    Information about VAT status including publication date and registration authority.

  - `results.businessPartner.profile.vatPayerStatus.publicationDate` (string)
    Date of publication
    Example: "2026-04-16T09:58:41Z"

  - `results.businessPartner.profile.vatPayerStatus.status` (object)
    Information about payer status.

  - `results.businessPartner.profile.vatPayerStatus.status.name` (string)
    Name of Vat payer status. Available values RELIABLE and UNRELIABLE
    Example: "RELIABLE"

  - `results.businessPartner.profile.vatPayerStatus.status.technicalKey` (string)
    Technical key of Vat payer status
    Example: "VAT_PAYER_STATUS"

  - `results.businessPartner.profile.vatPayerStatus.registrationAuthority` (object)
    Additional information about registration authority.

  - `results.businessPartner.profile.vatPayerStatus.registrationAuthority.registrationAuthorityId` (string)
    The reference code of the registration authority, taken from the Registration Authorities Code List maintained by GLEIF.
    Example: "RA000009"

  - `results.businessPartner.profile.vatPayerStatus.registrationAuthority.registrationAuthorityEntityId` (string)
    The identifier of the Entity at the indicated registration authority.
    Example: "RA000009"

  - `results.businessPartner.profile.vatPayerStatus.registrationAuthority.otherRegistrationAuthorityId` (string)
    A legacy / historical reference code of a registration authority.
    Example: "RA000009"

  - `results.businessPartner.profile.hcpProfile` (object)
    Healthcare Professional Profile informs about the status, licenses, and location of a natural person who is a member 
of the medical, dental, pharmacy, or nursing professions or any other person who, in the course of his/her professional 
activities, may prescribe, purchase, supply, recommend or administer a Medicinal Product and whose primary practice, 
principal professional address or place of incorporation is in Europe.

  - `results.businessPartner.profile.hcpProfile.generalLicense` (object)
    The general license of the Healthcare Professional.

  - `results.businessPartner.profile.hcpProfile.generalLicense.professionType` (object)
    The profession type of the Healthcare Professional.

  - `results.businessPartner.profile.hcpProfile.generalLicense.professionType.name` (string)
    Name of the profession type.
    Example: "Doctor"

  - `results.businessPartner.profile.hcpProfile.generalLicense.professionType.url` (string)
    URL to the documentation of the Profession Type Technical Key.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.hcpProfile.generalLicense.professionType.technicalKey` (string)
    Technical key of the profession type.
    Example: "DOCTOR"

  - `results.businessPartner.profile.hcpProfile.generalLicense.licenseStatus` (object)
    The license status of the Healthcare Professional.

  - `results.businessPartner.profile.hcpProfile.generalLicense.licenseStatus.name` (string)
    Name of the license status.
    Example: "Granted"

  - `results.businessPartner.profile.hcpProfile.generalLicense.licenseStatus.url` (string)
    URL to the documentation of the License Status Technical Key.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.hcpProfile.generalLicense.licenseStatus.technicalKey` (string)
    Technical key of the license status.
    Example: "GRANTED"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions` (array)
    Operational permissions of the Healthcare Professional.

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.issuingAuthority` (string)
    The issuing authority of the operational permission.
    Example: "Swiss Medical Association"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.permissionStatus` (object)
    The permission status of the operational permission.

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.permissionStatus.name` (string)
    Name of the permission status.
    Example: "Granted"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.permissionStatus.url` (string)
    URL to the documentation of the Permission Status Technical Key.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.permissionStatus.technicalKey` (string)
    Technical key of the permission status.
    Example: "GRANTED"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.activityStatus` (object)
    The activity status of the operational permission.

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.activityStatus.name` (string)
    Name of the activity status.
Possible values: 
* Active - The operational permission is active.
* Inactive - The operational permission is inactive.
    Example: "Inactive"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.activityStatus.url` (string)
    URL to the documentation of the Activity Status Technical Key.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.activityStatus.technicalKey` (string)
    Technical key of the activity status.
    Example: "INACTIVE"

  - `results.businessPartner.profile.hcpProfile.operationalPermissions.practiceLocations` (array)
    Practice locations of the Healthcare Professional.

  - `results.businessPartner.formattedSapRecord` (object)
    Provides business partner and address information in a data structure similar to SAP Business Partner table BUT000 and SAP Business Address Services table ADRC. Field names are equal or very similar to SAP field names in order to simplify field mapping. Data for name and street fields is already split into chunks of max. 35 characters.

  - `results.businessPartner.formattedSapRecord.name1` (string)
    A name1 filed of a business partner name.
    Example: "CDQ AG"

  - `results.businessPartner.formattedSapRecord.name2` (string)
    A name2 filed of a business partner name.
    Example: "CDQ AG"

  - `results.businessPartner.formattedSapRecord.name3` (string)
    A name3 filed of a business partner name.
    Example: "CDQ AG"

  - `results.businessPartner.formattedSapRecord.name4` (string)
    A name4 filed of a business partner name.
    Example: "CDQ AG"

  - `results.businessPartner.formattedSapRecord.nameCo` (string)
    The legal form name of a Legal Form.
    Example: "Aktiengesellschaft"

  - `results.businessPartner.formattedSapRecord.legalEntity` (string)
    The legal entity of a Legal Form.
    Example: "Aktiengesellschaft"

  - `results.businessPartner.formattedSapRecord.legalForm` (string)
    The legal form of a Legal Form.
    Example: "Aktiengesellschaft"

  - `results.businessPartner.formattedSapRecord.indSector` (string)
    A business industry or activity classification is a system of categorizing businesses and organizations into specific industries or activities based on their primary products or services, functions, or activities. These classifications are often used by governments, trade organizations, and other institutions to collect and analyze data on economic activity and to track trends and changes in various sectors.
    Example: "NAF"

  - `results.businessPartner.formattedSapRecord.indSectorCode` (string)
    A code of business industry or activity classification is a system of categorizing businesses and organizations into specific industries or activities based on their primary products or services, functions, or activities. These classifications are often used by governments, trade organizations, and other institutions to collect and analyze data on economic activity and to track trends and changes in various sectors.
    Example: "NAF"

  - `results.businessPartner.formattedSapRecord.emailAddress` (string)
    Email address of the Business Partner.
    Example: "bp@gmail.com"

  - `results.businessPartner.formattedSapRecord.narp` (string)
    An individual person, i.e. not an organization. An individual has no identifiers and has no legal form in its name.
    Example: "Friedrich Nietzsche"

  - `results.businessPartner.formattedSapRecord.stceg` (string)
    VAT registration number.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.stcd1` (string)
    Standard tax number field1.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.stcd2` (string)
    Standard tax number field2.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.stcd3` (string)
    Standard tax number field3.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.stcd4` (string)
    Standard tax number field4.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.stcd5` (string)
    Standard tax number field5.
    Example: "CHE-218.608.88"

  - `results.businessPartner.formattedSapRecord.url` (string)
    Webpages related to the business partner, e.g. the main corporate website as also provided by some company registers.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.formattedSapRecord.telNumber` (string)
    The main phone number of a business partner, usually some info-line of the headquarter.
    Example: "+41 71 571 10 40"

  - `results.businessPartner.formattedSapRecord.country` (string)
    Country name.
    Example: "Switzerland"

  - `results.businessPartner.formattedSapRecord.countryCode` (string)
    Country code (ISO 3166-1 alpha-2)
    Example: "CH"

  - `results.businessPartner.formattedSapRecord.region` (string)
    A top-level geographical or political area division in a country.
    Example: "Sankt Gallen"

  - `results.businessPartner.formattedSapRecord.regionCodeSap` (string)
    A Region specific code for a certain address.
    Example: "9004"

  - `results.businessPartner.formattedSapRecord.regionCode` (string)
    A country specific code for a certain address in the region.
    Example: "9004"

  - `results.businessPartner.formattedSapRecord.regionFipsCode` (string)
    A country specific fips code for a certain address in the region.
    Example: "34"

  - `results.businessPartner.formattedSapRecord.county` (string)
    A sub-level geographical or political area division in a country.
    Example: "Sankt Gallen"

  - `results.businessPartner.formattedSapRecord.countyCode` (string)
    A county specific code for a certain address in the region.
    Example: "9004"

  - `results.businessPartner.formattedSapRecord.countyFipsCode` (string)
    A county specific fips code for a certain address in the region.
    Example: "34015"

  - `results.businessPartner.formattedSapRecord.township` (string)
    A sub-level geographical or political area division in a country.
    Example: "Sankt Gallen"

  - `results.businessPartner.formattedSapRecord.townshipCode` (string)
    A township specific code for a certain address in the region.
    Example: "9004"

  - `results.businessPartner.formattedSapRecord.city` (string)
    A locality is a named densely populated area (a place) such as town, village, suburb, etc. A locality composes of many individual addresses. Many localities exist in an administrative area. A locality can also have several levels of sub localities.
    Example: "Sankt Gallen"

  - `results.businessPartner.formattedSapRecord.district` (string)
    Area of a country or city.
    Example: "St. Georgen"

  - `results.businessPartner.formattedSapRecord.postalCode` (string)
    A country specific code for a certain address.
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.postalCode3` (string)
    A country specific code for a certain address.
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.street1` (string)
    Details of the access route along which buildings, lots, or land are located, such as street, road, channel, crescent, avenue, etc. This also includes canals or banks on which houses or boat houses are located where people live.
    Example: "Lukasstraße 4"

  - `results.businessPartner.formattedSapRecord.street2` (string)
    Additional street filed.
    Example: "Lukasstraße 4"

  - `results.businessPartner.formattedSapRecord.street5` (string)
    Additional street filed.
    Example: "Lukasstraße 4"

  - `results.businessPartner.formattedSapRecord.houseNum` (string)
    Number of the Thoroughfare.
    Example: "4"

  - `results.businessPartner.formattedSapRecord.houseNum2` (string)
    Additional number filed.
    Example: "4"

  - `results.businessPartner.formattedSapRecord.building` (string)
    A structure (such as a house, hospital, school, etc.) with a roof and walls that is used as a place for people to live, work, do activities, store things, etc.
    Example: "Office 2"

  - `results.businessPartner.formattedSapRecord.floor` (string)
    The floor/story of the building.
    Example: "2"

  - `results.businessPartner.formattedSapRecord.roomnumber` (string)
    A distinct room in a building.
    Example: "123"

  - `results.businessPartner.formattedSapRecord.poBoxCountry` (string)
    A location at an address where the post is delivered to.
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.poBoxCity` (string)
    A location at an address where the post is delivered to.
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.poBoxPostalCode` (string)
    A location at an address where the post is delivered to.
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.poBox` (string)
    Des
    Example: "9000"

  - `results.businessPartner.formattedSapRecord.latitude` (string)
    Plain on the earth's surface north or south of the equator.
    Example: "47.439549"

  - `results.businessPartner.formattedSapRecord.longitude` (string)
    Plain on the earth's surface east or west of a meridian.
    Example: "9.395275"

  - `results.businessPartner.relations` (array)
    List of relations of the Business Partner.

  - `results.businessPartner.relations.startedAt` (string)
    Describe when this relationship was first established.
    Example: "2026-04-16T09:58:41Z"

  - `results.businessPartner.relations.endedAt` (string)
    Describe when this relationship ended.
    Example: "2026-04-16T09:58:41Z"

  - `results.businessPartner.relations.type` (object)
    Provides information about the type of the relationship between two Business Partners like:\ direct parent/child, ultimate parent, branch.

  - `results.businessPartner.relations.type.name` (string)
    Display name of the Business Partner Relation Type.
    Example: "Commercial ultimate"

  - `results.businessPartner.relations.type.url` (string)
    URL to the documentation which summarizes all details of a business partner relation type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.relations.type.technicalKey` (string)
    Technical Key of the Business Partner Relation Type.
    Example: "COMMERCIAL_ULTIMATE"

  - `results.businessPartner.relations.class` (object)
    Provides information about the classification of the relation.

  - `results.businessPartner.relations.class.name` (string)
    Display name of the Business Partner Relation Class.
    Example: "CDQ Hierarchy"

  - `results.businessPartner.relations.class.url` (string)
    URL to the documentation which summarizes all details of a business partner relation class.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.relations.class.technicalKey` (string)
    Technical Key of the Business Partner Relation Class.
    Example: "BUSINESS_PARTNER_RELATION_CLASS_CDQ_HIERARCHY"

  - `results.businessPartner.relations.startNode` (string)
    It's a number of the business partner that plays a superior role over the other business partner. In means that, the company is parent of the second company (child) and has one of the relationship type like:\ Domestic Ultimate Legal entity or Direct Legal entity.
    Example: "FR.RC:5664645"

  - `results.businessPartner.relations.endNode` (string)
    It's a number of the business partner that plays a subordinate role over the other business partner. In means that, the company is chile of the second company (parent) and has one of the special relationship types.
    Example: "FR.RC:5664645"

  - `results.businessPartner.relations.startNodeBusinessPartner` (object)
    Relation of the Business Partner.

  - `results.businessPartner.relations.startNodeBusinessPartner.names` (array)
    List of names.

  - `results.businessPartner.relations.startNodeBusinessPartner.names.shortName` (string)
    The abbreviated variant of a company's full name.
    Example: "CDQ AG"

  - `results.businessPartner.relations.startNodeBusinessPartner.names.type` (object)
    The type of the name, e.g. a locally used name or an international version.

  - `results.businessPartner.relations.startNodeBusinessPartner.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `results.businessPartner.relations.startNodeBusinessPartner.names.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.relations.startNodeBusinessPartner.names.details` (array)

  - `results.businessPartner.relations.startNodeBusinessPartner.addresses` (array)
    List of addresses.

  - `results.businessPartner.relations.startNodeBusinessPartner.addresses.country` (object)
    Country consisting of the country name and country code (ISO 3166-1 alpha-2).

  - `results.businessPartner.relations.startNodeBusinessPartner.addresses.postCodes` (array)
    List of Post Codes.

  - `results.businessPartner.relations.startNodeBusinessPartner.addresses.localities` (array)
    List of Localities.

  - `results.businessPartner.relations.startNodeBusinessPartner.addresses.thoroughfares` (array)
    List of Thoroughfares.

  - `results.businessPartner.relations.endNodeBusinessPartner` (object)
    Relation of the Business Partner.

  - `results.businessPartner.relations.endNodeBusinessPartner.names` (array)
    List of names.

  - `results.businessPartner.relations.endNodeBusinessPartner.names.shortName` (string)
    The abbreviated variant of a company's full name.
    Example: "CDQ AG"

  - `results.businessPartner.relations.endNodeBusinessPartner.names.type` (object)
    The type of the name, e.g. a locally used name or an international version.

  - `results.businessPartner.relations.endNodeBusinessPartner.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `results.businessPartner.relations.endNodeBusinessPartner.names.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartner.relations.endNodeBusinessPartner.names.details` (array)

  - `results.businessPartner.relations.endNodeBusinessPartner.addresses` (array)
    List of addresses.

  - `results.businessPartner.relations.endNodeBusinessPartner.addresses.country` (object)
    Country consisting of the country name and country code (ISO 3166-1 alpha-2).

  - `results.businessPartner.relations.endNodeBusinessPartner.addresses.postCodes` (array)
    List of Post Codes.

  - `results.businessPartner.relations.endNodeBusinessPartner.addresses.localities` (array)
    List of Localities.

  - `results.businessPartner.relations.endNodeBusinessPartner.addresses.thoroughfares` (array)
    List of Thoroughfares.

  - `results.businessPartner.types` (array)
    List of types of the Business Partner.

  - `results.businessPartner.types.name` (string)
    Display name of the Business Partner Type Name.
    Example: "Legal Entity"

  - `results.businessPartner.types.url` (string)
    URL to the documentation which summarizes all details of a business partner type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartner.types.technicalKey` (string)
    Technical key of the Business Partner Type.
    Example: "LEGAL_ENTITY"

  - `results.businessPartner.externalContext` (object)
    Describe own identifiers of a record (others than just the external ID).

  - `results.businessPartner.externalContext.identifiers` (array)
    List of external context identifiers.

  - `results.businessPartner.externalContext.identifiers.value` (string)
    Value of own identifiers of a record.
    Example: "7250017031"

  - `results.businessPartner.externalContext.identifiers.type` (object)
    Type of own identifiers of a record.

  - `results.businessPartner.externalContext.identifiers.type.technicalKey` (string)
    Technical key for the External Context Identifier Type.
    Example: "KUNNR"

  - `results.businessPartner.jsonRecord` (object)
    Business Partner of SAP ODM.

  - `results.businessPartner.jsonRecord.displayId` (string)
    Human-readable identifier.
    Example: "SAP"

  - `results.businessPartner.jsonRecord.businessPartnerType` (string)
    Type under which a business partner is classified (organization, person, or businessPartnerGroup).
    Example: "organization"

  - `results.businessPartner.jsonRecord.organization` (object)
    Details of an organization.

  - `results.businessPartner.jsonRecord.organization.nameDetails` (object)
    Scripted name of an organization.

  - `results.businessPartner.jsonRecord.organization.nameDetails.formattedOrgNameLine1` (string)
    Formatted organizational name line 1.
    Example: "SAP SE"

  - `results.businessPartner.jsonRecord.organization.nameDetails.formattedOrgNameLine2` (string)
    Formatted organizational name line 2.
    Example: "Hasso-Plattner-Ring 7"

  - `results.businessPartner.jsonRecord.organization.nameDetails.formattedOrgNameLine3` (string)
    Formatted organizational name line 3.
    Example: "69190 Walldorf"

  - `results.businessPartner.jsonRecord.organization.nameDetails.formattedOrgNameLine4` (string)
    Formatted organizational name line 4.
    Example: "Germany"

  - `results.businessPartner.jsonRecord.organization.nameDetails.formattedOrgName` (string)
    Fully formatted organization name.
    Example: "SAP SE, Hasso-Plattner-Ring 7, 69190 Walldorf, Germany"

  - `results.businessPartner.jsonRecord.organization.nameDetails.customSalutation` (string)
    A customizable, more informal salutation.
    Example: "Additional information"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants` (array)
    Scripted variants of an organization's name.

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.formattedOrgNameLine1` (string)
    Formatted organizational name line 1.
    Example: "SAP SE"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.formattedOrgNameLine2` (string)
    Formatted organizational name line 2.
    Example: "Hasso-Plattner-Ring 7"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.formattedOrgNameLine3` (string)
    Formatted organizational name line 3.
    Example: "69190 Walldorf"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.formattedOrgNameLine4` (string)
    Formatted organizational name line 4.
    Example: "Germany"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.formattedOrgName` (string)
    Fully formatted organization name.
    Example: "SAP SE, Hasso-Plattner-Ring 7, 69190 Walldorf, Germany"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.customSalutation` (string)
    A customizable, more informal salutation.
    Example: "Additional information"

  - `results.businessPartner.jsonRecord.organization.nameDetails.scriptVariants.scriptCode` (object)
    Script code of the organization name.

  - `results.businessPartner.jsonRecord.organization.legalForm` (object)
    Code for the legal form of a company.

  - `results.businessPartner.jsonRecord.organization.legalForm.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.organization.legalForm.code` (string)
    Code list entry.
    Example: "AG"

  - `results.businessPartner.jsonRecord.organization.globalLocationNumber` (string)
    The Global Location Number (GLN) - former Internal Location  Number (ILN) - assigned by GS1 organizations identifies physical  locations or legal entities uniquely.
    Example: "0847976000005"

  - `results.businessPartner.jsonRecord.identifications` (array)
    Proof of identity.

  - `results.businessPartner.jsonRecord.identifications.identificationType` (object)
    A code that represents the type of identification (such as an ID  card, driver's license or commercial registry) for a business  partner.

  - `results.businessPartner.jsonRecord.identifications.identificationType.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.identifications.identificationType.code` (string)
    Code list entry.
    Example: "IDCARD"

  - `results.businessPartner.jsonRecord.identifications.identificationNumber` (string)
    Number that identifies a business partner, such as a  driver's license, or ID card number.
    Example: "DE123456789"

  - `results.businessPartner.jsonRecord.identifications.country` (object)
    A code that represents the country in which an ID number was  assigned, or in which the number is valid (ISO 3166-1 code).

  - `results.businessPartner.jsonRecord.identifications.country.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.identifications.country.code` (string)
    The ISO-3166 2-char code of the country.
    Example: "DE"

  - `results.businessPartner.jsonRecord.identifications.region` (object)
    A code that represents the region in which an ID number was  assigned, or in which the number is valid (ISO 3166-1 code,  separator, ISO 3166-2 code).

  - `results.businessPartner.jsonRecord.identifications.region.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.identifications.region.code` (string)
    Country subdivision code.
    Example: "DE-BW"

  - `results.businessPartner.jsonRecord.identifications.institute` (string)
    Institution that administers or assigns an ID number.
    Example: "Federal Republic of Germany"

  - `results.businessPartner.jsonRecord.taxNumbers` (array)
    Tax numbers of the business partner.

  - `results.businessPartner.jsonRecord.taxNumbers.taxNumberType` (object)
    A code that specifies the tax number type.

  - `results.businessPartner.jsonRecord.taxNumbers.taxNumberType.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.taxNumbers.taxNumberType.code` (string)
    Code list entry.
    Example: "VAT"

  - `results.businessPartner.jsonRecord.taxNumbers.taxNumber` (string)
    Specifies the tax number.
    Example: "DE123456789"

  - `results.businessPartner.jsonRecord.addressData` (array)
    The address information of the business partner.

  - `results.businessPartner.jsonRecord.addressData.validFrom` (string)
    Begin date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.validTo` (string)
    End date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.usages` (array)
    Usage about the address information that is assigned to a business partner.

  - `results.businessPartner.jsonRecord.addressData.usages.validFrom` (string)
    Begin date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.usages.validTo` (string)
    End date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.usages.usage` (object)
    A code that represents the usage for the address of the business partner.

  - `results.businessPartner.jsonRecord.addressData.usages.isStandard` (boolean)
    Establishes the usage of the address information is standard.
    Example: "true"

  - `results.businessPartner.jsonRecord.addressData.postalAddressType` (string)
    Defines if the address is for a person or an organization.
    Enum: "organizationPostalAddress", "personPostalAddress"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress` (object)
    Postal address that is assigned if the address type is  "organizationPostalAddress". The address can appear in  different scripts. Organization details are only maintained  if they differ from the details of the business partner.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.streetPrefix1` (string)
    Defines first line of the street print layout.
    Example: "StreetPrefix1"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.streetPrefix2` (string)
    Defines second line of the street print layout.
    Example: "StreetPrefix1"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.street` (object)
    Paired {name,code} type.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.street.name` (string)
    Name of a street.
    Example: "Main Street"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.street.ref` (object)
    Code of a street.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.streetSuffix1` (string)
    Defines before-last line of the street print layout.
    Example: "StreetSuffix1"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.streetSuffix2` (string)
    Defines last line of the street print layout.
    Example: "StreetSuffix2"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.houseNumber` (string)
    Building information.
    Example: "Building 1"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.houseNumberSupplement` (string)
    Additional information.
    Example: "2nd floor"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.building` (string)
    Building information.
    Example: "Building 1"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.floor` (string)
    Floor information.
    Example: "2nd floor"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.door` (string)
    Room, apartment, ...
    Example: "Room 14"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.careOf` (string)
    A care of (c/o) party name.
    Example: "c/o John Doe"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.primaryRegion` (object)
    Code list with codes that are _derived_ from subdivisions. A  region for postal must provide a disjoint cut, in ISO 3166-2 it  is not always the case (e.g. France 14 provinces, 95  departments, departments intersect with provinces). This means  that additional work must be invested in curation of ISO 3166-2  code lists. So, while formally it the field type is ISO  subdivision code, in fact it is a curated subset of ISO 3166-2,  prepared for use in postal delivery.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.primaryRegion.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.primaryRegion.code` (string)
    Country subdivision code.
    Example: "DE-BW"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.secondaryRegion` (object)
    Locally governed region name second level, optionally code-list item.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.secondaryRegion.name` (string)
    Name of a secondary region.
    Example: "Montgomery County"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.secondaryRegion.ref` (object)
    Code of a secondary region.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.tertiaryRegion` (object)
    Locally governed region name third level (e.g. Russia), optionally code-list item.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.tertiaryRegion.name` (string)
    Name of a tertiary region.
    Example: "Montgomery County"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.tertiaryRegion.ref` (object)
    Code of a secondary region.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.town` (object)
    City, town, village; a value from a code-list for towns; see ISO 19160-4 definition.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.town.name` (string)
    Name of a town.
    Example: "Berlin"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.town.ref` (object)
    Code of a town.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.district` (object)
    An addressable area inside a town;  see ISO 19160-4 definition: optional.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.district.name` (string)
    Name of a district.
    Example: "Mitte"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.district.ref` (object)
    Code of a town.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.country` (object)
    A value from a code-list for countries.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.country.name` (string)
    User-facing name of a code list entry.
    Example: "Code list entry name."

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.country.code` (string)
    The ISO-3166 2-char code of the country.
    Example: "DE"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.postCode` (string)
    Postal code (or Zip Code in the US, PLZ in Germany etc.).
    Example: "10115"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative` (object)
    Another type of address (e.g. service point delivery like PO box).

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.country` (object)
    A value from a code-list for countries.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.postCode` (string)
    Postal code (or Zip Code in the US, PLZ in Germany etc.).
    Example: "10115"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.primaryRegion` (object)
    Code list with codes that are _derived_ from subdivisions. A  region for postal must provide a disjoint cut, in ISO 3166-2 it  is not always the case (e.g. France 14 provinces, 95  departments, departments intersect with provinces). This means  that additional work must be invested in curation of ISO 3166-2  code lists. So, while formally it the field type is ISO  subdivision code, in fact it is a curated subset of ISO 3166-2,  prepared for use in postal delivery.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.secondaryRegion` (object)
    Locally governed region name second level, optionally code-list item.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.tertiaryRegion` (object)
    Locally governed region name third level (e.g. Russia), optionally code-list item.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.town` (object)
    City, town, village; a value from a code-list for towns; see ISO 19160-4 definition.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.district` (object)
    An addressable area inside a town;  see ISO 19160-4 definition: optional.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.deliveryType` (object)
    A code-list containing a discriminator to select between address types.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.deliveryServiceType` (string)
    A code-list containing a discriminator to select between address types.
    Enum: "POBoxDelivery", "PrivateBagDelivery", "PosteRestanteDelivery", "CompanyDelivery", "WorkerCampElectricityMeterDelivery", "WorkerCampBedDelivery", "Other"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.deliveryServiceQualifier` (string)
    Needed as the same service identifier is only unique within the scope of the qualifier  (i.e. same identifier could be used in different Post offices in the same town).
    Example: "Post Office SouthEast"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.alternative.deliveryServiceIdentifier` (string)
    Identifier of the delivery service, e.g., the number of the  PO Box. Unique within the scope of the  deliveryServiceQualifier.
    Example: "1234"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.coordinates` (object)
    The address as geo coordinates.

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.coordinates.latitude` (number)
    Latitude value of the coordinates.
    Example: "52.520008"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.coordinates.longitude` (number)
    Longitude value of the coordinates.
    Example: "13.404954"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.coordinates.altitude` (number)
    Altitude value of the coordinates.
    Example: "34.0"

  - `results.businessPartner.jsonRecord.addressData.organizationPostalAddress.scriptVariants` (array)
    Scripted variants of the organization's address.

  - `results.businessPartner.jsonRecord.addressData.emailAddresses` (object)
    Email addresses of the business partner.

  - `results.businessPartner.jsonRecord.addressData.emailAddresses.validFrom` (string)
    Begin date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.emailAddresses.validTo` (string)
    End date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:42Z"

  - `results.businessPartner.jsonRecord.addressData.emailAddresses.address` (string)
    The email address. Assumption: to be able to process special  characters in the address all connected systems must be  unicode enabled. EmailAddress according to external standard  IETF RFC 5321.
    Example: "developer-portal@cdq.com"

  - `results.businessPartner.jsonRecord.addressData.websites` (object)
    Websites of the business partner.

  - `results.businessPartner.jsonRecord.addressData.websites.validFrom` (string)
    Begin date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:43Z"

  - `results.businessPartner.jsonRecord.addressData.websites.validTo` (string)
    End date of validity period (ISO 8601 compliant).
    Example: "2026-04-16T09:58:43Z"

  - `results.businessPartner.jsonRecord.addressData.websites.url` (string)
    The URL path for the website.
    Example: "https://www.developer.cdq.com"

  - `results.businessPartner.bankAccounts` (array)
    List of bank accounts of the Business Partner.

  - `results.businessPartner.bankAccounts.internationalBankAccountIdentifier` (string)
    The IBAN of a bank account.
    Example: "CH8800781619278412000"

  - `results.businessPartner.bankAccounts.internationalBankIdentifier` (string)
    (BIC/SWIFT) Bank identifier which is globally unique.
    Example: "KBSGCH22XXX"

  - `results.businessPartner.bankAccounts.nationalBankAccountIdentifier` (string)
    Identifier of a bank account in a national context, i.e. for a country.
    Example: "619278412000"

  - `results.businessPartner.bankAccounts.nationalBankIdentifier` (string)
    Bank identifier which is unique in a national context, i.e. for a country.
    Example: "00781"

  - `results.businessPartner.bankAccounts.countryCode` (string)
    ISO code to identify the country a bank account is registered in.
    Example: "DE"

  - `results.businessPartner.bankAccounts.bankAccountIdentifier` (string)
    Identifier of a bank account in a national or international context.
    Example: "CH8800781619278412000"

  - `results.rawRecord` (array)
    Raw record of the Business Partner.

  - `results.rawRecord.key` (string)
    Key in the key/value pair.
    Example: "key"

  - `results.rawRecord.value` (string)
    Value in the key/value pair.
    Example: "value"

  - `results.rawRecordJson` (object)
    Raw record returned by external service in JSON format.

  - `results.businessPartnerChanges` (array)
    Changes of the Business Partner.

  - `results.businessPartnerChanges.externalIds` (array)

  - `results.businessPartnerChanges.externalIds.externalId` (string)
    Value of the ExternalId of the business partner.
    Example: "123"

  - `results.businessPartnerChanges.externalIds.dataSourceId` (string)
    Technical Key of the Provenance Name.
    Example: "VIES"

  - `results.businessPartnerChanges.externalIds.id` (string)
    Unique identifier of the external ID.
    Example: "123"

  - `results.businessPartnerChanges.externalIds.characterSet` (object)
    Character set.

  - `results.businessPartnerChanges.externalIds.characterSet.name` (string)
    Name of character set. Supported character sets can be found here.
    Example: "International"

  - `results.businessPartnerChanges.externalIds.characterSet.technicalKey` (string)
    Technical key of character set. Supported character sets can be found here.
    Example: "INTERNATIONAL"

  - `results.businessPartnerChanges.externalIds.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.businessPartnerChanges.externalIds.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `results.businessPartnerChanges.externalIds.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `results.businessPartnerChanges.externalIds.concept` (object)
    The Concept is a part of the CDQ data model. For example Address is a concept of the Business Partner and have many subconcepts as Locality, Thoroughfare, Administrative Area etc.

  - `results.businessPartnerChanges.externalIds.concept.name` (string)
    Display name of the Concept.
    Example: "Address"

  - `results.businessPartnerChanges.externalIds.concept.url` (string)
    URL to the documentation which summarizes all details of the Business Partner [Concepts](https://meta.cdq.com/Business_partner).
    Example: "https://meta.cdq.com/Business_partner"

  - `results.businessPartnerChanges.externalIds.concept.technicalKey` (string)
    Technical key of the Concept.
    Example: "ADDRESS"

  - `results.businessPartnerChanges.property` (object)
    In the context of updates property informs for which concept there was a change provided.

  - `results.businessPartnerChanges.property.parentConcept` (object)
    The Concept is a part of the CDQ data model. For example Address is a concept of the Business Partner and have many subconcepts as Locality, Thoroughfare, Administrative Area etc.

  - `results.businessPartnerChanges.property.parentConcept.name` (string)
    Display name of the Concept.
    Example: "Address"

  - `results.businessPartnerChanges.property.parentConcept.url` (string)
    URL to the documentation which summarizes all details of the Business Partner [Concepts](https://meta.cdq.com/Business_partner).
    Example: "https://meta.cdq.com/Business_partner"

  - `results.businessPartnerChanges.property.parentConcept.technicalKey` (string)
    Technical key of the Concept.
    Example: "ADDRESS"

  - `results.businessPartnerChanges.property.name` (string)
    Name of the property.
    Example: "Minority Indicator Value"

  - `results.businessPartnerChanges.property.technicalKey` (string)
    Technical key of the property.
    Example: "MINORITY_INDICATOR_VALUE"

  - `results.businessPartnerChanges.property.url` (string)
    External documentation URL for this property.
    Example: "http://meta.cdq.com/Business_Partner/Identifier_Value"

  - `results.businessPartnerChanges.property.content` (string)
    The current content of the property of the provided JSON.
    Example: "DE12345678"

  - `results.businessPartnerChanges.property.contentSelector` (string)
    JSON path to the property in the provided JSON object.
    Example: "$.partnerProfile.minorityIndicator.value"

  - `results.businessPartnerChanges.property.instanceSelectors` (array)

  - `results.businessPartnerChanges.property.instanceSelectors.key` (string)
    JSON subpath to the property allowing to select concrete instance of a property in the provided JSON object.
    Example: "type.technicalKey"

  - `results.businessPartnerChanges.property.instanceSelectors.value` (string)
    Value of a JSON subpath to the property allowing to select concrete instance of a property in the provided JSON object.
    Example: "CH_UID"

  - `results.businessPartnerChanges.newContent` (string)
    New value after change
    Example: "AAB"

  - `results.businessPartnerChanges.previousContent` (string)
    Value before change
    Example: "AAB"

  - `results.businessPartnerChanges.provenance` (object)
    The source of the change or update. Could be the reference data source as VIES or Organization.

  - `results.businessPartnerChanges.provenance.name` (string)
    Display Name of the Provenance Name.
    Example: "VIES"

  - `results.businessPartnerChanges.provenance.url` (string)
    URL to the documentation which summarizes all details of the Provenance Name.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.businessPartnerChanges.provenance.technicalKey` (string)
    Technical Key of the Provenance Name.
    Example: "VIES"

  - `results.businessPartnerChanges.provenance.cdqId` (string)
    The ID provided for a linkage with the source by CDQ.
    Example: "VIES:PL8660001429"

  - `results.businessPartnerChanges.changeType` (string)
    Technical Key of the Property Change Type.
    Example: "MODIFIED"

  - `results.businessPartnerChanges.changeClassification` (string)
    Gives a user an indicator how "much" the attribute was changed OR how important the change was. Allowed values are:
 * TRIVIAL - Trivial change
 * MINOR - Minor change
 * MAJOR - Major change
 * CRITICAL - Critical change
    Example: "MAJOR"

  - `results.businessPartnerChanges.confidenceScore` (number)
    Confidence score which shows how confident CDQ is about enrichment of that property. Calculation dependes on property type, see here for a complete description.
    Example: "0.0"

  - `results.businessPartnerChanges.maxConfidenceScore` (number)
    Maximum confidence score which is achievable for this property type. Note that the max value will change over time depending on the udnerlying algorithm which will be continously improved.
    Example: "1.0"

  - `results.screeningResult` (object)
    Result of the screening process.

  - `results.screeningResult.summary` (object)
    Summary of a screening result for a Business Partner.

  - `results.screeningResult.summary.hitCountOverall` (integer)
    Total number of hits.
    Example: "3"

  - `results.screeningResult.summary.hitCountSanctions` (integer)
    Number of hits in the sanctions list.\
    Example: "5"

  - `results.screeningResult.summary.hitCountWatchlists` (integer)
    Number of hits in the watchlists.
    Example: "7"

  - `results.screeningResult.summary.hitCountPep` (integer)
    Number of hits in the PEP list.
    Example: "11"

  - `results.screeningResult.details` (object)
    Details of the screening process.

  - `results.screeningResult.details.sanctions` (array)
    List of sanctions hits.

  - `results.screeningResult.details.sanctions.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `results.screeningResult.details.sanctions.businessPartner` (object)
    Refers to an organizational entity engaged in various facets of another organization's business interactions. This collaborative connection often manifests as a customer, supplier, vendor, or service provider. In the CDQ (Corporate Data Quality) framework, the Business Partner assumes a pivotal role as a core managed entity. Each Business Partner is distinctly and globally identifiable through a unique CDQ ID. All pertinent information, including addresses, identifiers, and hierarchical data, is intricately associated with and linked to the specific Business Partner, ensuring comprehensive management and traceability within the system.

  - `results.screeningResult.details.sanctions.businessPartner.names` (array)
    List of names of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.legalForm` (object)
    Legal Form of a Business Partner is the form it takes in the eyes of the law governing it. The legal form of a Business Partner is the general type it may legally use to identify itself according to the local, regional, national, or international law governing it. This is normally reflected in the ending abbreviation after the Business Partner's name (e.g. AG, Inc., LLC, S.A.).

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.name` (string)
    Display of the Legal Form.
    Example: "Aktiengesellschaft"

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.url` (string)
    URL to the documentation which summarizes all details of legal form.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.language` (object)
    Naming of a language according to ISO 639-1.

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.mainAbbreviation` (string)
    The primary abbreviation of a legal form, i.e. the most commonly used abbreviation in a country.
    Example: "AG"

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.categories` (array)
    List of categories of the legal form.

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.technicalKey` (string)
    Technical Key of a Legal Form. Descriptions of below enums contain Country Scope, International Name and Main Abraviation.
    Example: "DE_9866"

  - `results.screeningResult.details.sanctions.businessPartner.legalForm.cdlElfCode` (string)
    An unique identifier for CDL managed Legal Forms.
    Example: "AG"

  - `results.screeningResult.details.sanctions.businessPartner.identifiers` (array)
    List of identifiers of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.categories` (array)
    List of categories of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.status` (object)
    Describes the status of a business partner with respect to its level of activity (e.g. out of business) or legally relevant conditions (e.g. in liquidation).

  - `results.screeningResult.details.sanctions.businessPartner.status.officialDenotation` (string)
    The status as provided by an official register.
    Example: "Good Standing"

  - `results.screeningResult.details.sanctions.businessPartner.status.validFrom` (string)
    Describes since when a business partner turned or will turn into the provided status. If no official date is known, the date of changing the status in the CDQ Community Data Pool or an external data source is provided.
    Example: "2026-04-16T09:58:41Z"

  - `results.screeningResult.details.sanctions.businessPartner.status.validUntil` (string)
    Describes until when a business partner had a certain status. If no official date is known, the date of changing the status in the CDQ Community Data Pool or an external data source is provided.
    Example: "2026-04-16T09:58:41Z"

  - `results.screeningResult.details.sanctions.businessPartner.status.type` (object)
    The standardized status which the business partner currently has.

  - `results.screeningResult.details.sanctions.businessPartner.addresses` (array)
    List of addresses of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `results.screeningResult.details.sanctions.businessPartner.profile` (object)
    A Business Partner profile contains important information about a company, such as its classification, tags, contact details, or minority indicator.

  - `results.screeningResult.details.sanctions.businessPartner.profile.minorityIndicator` (object)
    The minority indicator determines the minority group to which a vendor belongs. Usually, the minority indicator is only relevant in the United States and it is used for reporting purposes only. There is a corresponding SAP field in the vendor master for maintaining the minority indicator.

This feature is as of today dependent on data provided by a US based company: SupplierGateway.

For businesses, the minority indicator is often required in the context of:
* Government Contracts: Businesses must disclose if they are minority-owned, which can qualify them for certain federal, state, or local government contracts reserved for minority-owned businesses.
* Diversity Reporting: Companies may use minority indicators to track the diversity of their workforce, ensuring compliance with regulations such as the Equal Employment Opportunity (EEO) laws.
* Supplier Diversity Programs: Large corporations often track minority-owned businesses in their supply chains as part of their supplier diversity initiatives.

The indicators can pertain to various minority groups, such as: 
* racial and ethnic minorities (e.g., African American, Hispanic, Asian American, Native American), 
* women, 
* veterans
* people with disabilities.

  - `results.screeningResult.details.sanctions.businessPartner.profile.classifications` (array)
    List of classifications of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.profile.phoneNumbers` (array)
    List of phone numbers of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.profile.websites` (array)
    List of websites of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.profile.contactEmails` (array)
    List of contact emails of the Business Partner.

  - `results.screeningResult.details.sanctions.businessPartner.profile.tags` (array)
    List of Tags.

  - `results.screeningResult.details.sanctions.businessPartner.profile.vatPayerStatus` (object)
    Information about VAT status including publication date and registration authority.

  - `results.screeningResult.details.sanctions.businessPartner.profile.hcpProfile` (object)
    Healthcare Professional Profile informs about the status, licenses, and location of a natural person who is a member 
of the medical, dental, pharmacy, or nursing professions or any other person who, in the course of his/her professional 
activities, may prescribe, purchase, supply, recommend or administer a Medicinal Product and whose primary practice, 
principal professional address or place of incorporation is in Europe.

  - `results.screeningResult.details.sanctions.businessPartner.formattedSapRecord` (object)
    Provides business partner and address information in a data structure similar to SAP Business Partner table BUT000 and SAP Business Address Services table ADRC. Field names are equal or very similar to SAP field names in order to simplify field mapping. Data for name and street fields is already split into chunks of max. 35 characters.

[...]
